CAD programy 4M
(dictrename ename oldsym newsym)
Funkce dictrename přejmenováva položky (oldsym) na nová jména (newsym) ve slovníku (ename). Pokud oldsym není přítomný ve slovníku, nebo je slovník invalidní, nebo nové jméno je invalidní, nebo newsym už ve slovníku existuje, dictrename vrátí nil.
; Create an entity list
(setq dictionary (list '(0 . "DICTIONARY") '(100 . "AcDbDictionary")))
; Create an entity from entity list
(setq xname (entmakex dictionary))
; Get the named object dictionary
(setq nmdict (namedobjdict))
; Add a record to dictionary table and returns the entity name of the object added
(setq newdict (dictadd nmdict "MY_DICTIONARY" xname))
; Create an entity list
(setq datalist (append (list '(0 . "XRECORD") '(100 . "AcDbXrecord")) '((1 . "MY_DATA") (10 1. 2. 3.) (70 . 33))))
; Create an entity from entity list
(setq xname (entmakex datalist))
; Add a record and returns the entity name of the object added to the dictionary.
(dictadd newdict "DATA_RECORD" xname)
; Renames the record and returns the new name set in the record.
(dictrename nmdict "MY_DICTIONARY" "MY_NEW_DICTIONARY")